Bug 89626 - RH9 kernel upgrade to 2.4.20-9 breaks X
RH9 kernel upgrade to 2.4.20-9 breaks X
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-25 06:08 EDT by Andy Wallace
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Wallace 2003-04-25 06:08:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Up2date kernel upgrade from 2.4.20-8 to 2.4.20-9: on reboot X failed to start
with 2 problems.

1. Can't find kernel module sis.o
2. Can't find mouse: /dev/psaux - no such device

gpm also failed to start for the same reason presumably, although lsmod shows
mousedev module loaded.

As for sis.o, it's missing. It's there in 2.4.20-8 under
/lib/modules/2.4.20-8/kernel/drivers/char/drm/sis.o, but missing in 2.4.20-9.



Version-Release number of selected component (if applicable):
kernel-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
I have tried uninstalling and reinstalling the rpm, I've verified it,
re-downloaded it and reinstalled it. Same results.

    

Actual Results:  Mouse not found, sis.o missing, X won't start

Expected Results:  Mouse works, sis.o present, X starts

Additional info:

Diffing the relevant .configs from the two kernel versions, shows

< CONFIG_DRM_SIS=m
---
> # CONFIG_DRM_SIS is not set

(plus a couple of irrelevant other changes)

So that explains sis.o, but not the mouse
Comment 1 Andy Wallace 2003-04-25 06:11:04 EDT
I forgot to mention, mouse is a standard PS/2 Wheelmouse, and works fine under
2.4.20-8.
Comment 2 Bugzilla owner 2004-09-30 11:40:50 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.